aboutsummaryrefslogtreecommitdiffstats
path: root/tests/qemu-iotests/016
diff options
context:
space:
mode:
Diffstat (limited to 'tests/qemu-iotests/016')
-rwxr-xr-xtests/qemu-iotests/01670
1 files changed, 70 insertions, 0 deletions
diff --git a/tests/qemu-iotests/016 b/tests/qemu-iotests/016
new file mode 100755
index 000000000..a1467b8a3
--- /dev/null
+++ b/tests/qemu-iotests/016
@@ -0,0 +1,70 @@
+#!/bin/bash
+#
+# Test I/O after EOF for growable images.
+#
+# Copyright (C) 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=hch@lst.de
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+ _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_supported_fmt raw
+_supported_proto file sheepdog
+_supported_os Linux
+
+
+size=128M
+_make_test_img $size
+
+echo
+echo "== reading at EOF =="
+$QEMU_IO -g -c "read -P 0 $size 512" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== reading far past EOF =="
+$QEMU_IO -g -c "read -P 0 256M 512" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== writing at EOF =="
+$QEMU_IO -g -c "write -P 66 $size 512" $TEST_IMG | _filter_qemu_io
+$QEMU_IO -c "read -P 66 $size 512" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== writing far past EOF =="
+$QEMU_IO -g -c "write -P 66 256M 512" $TEST_IMG | _filter_qemu_io
+$QEMU_IO -c "read -P 66 256M 512" $TEST_IMG | _filter_qemu_io
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0